package tv.freewheel.ad.interfaces;


/**
 * IRendererController is the common interface for controlling ad renderers
 */
public abstract interface IRendererController {
	/**
	 * Pass the event to ad renderer
	 *
	 * @param type		the name of the event
	 * <br/>
	 * <br/>
	 * Available event:<br/>
	 * 	EVENT_AD_CLICK		-		click on the ad<br/>
	 */
	public void processEvent(String type);
}
